| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::events::entitlement_update Class Reference

Internal event handler for ENTITLEMENT_UPDATE websocket events. Called for each websocket message of this type. More...

`#include <event.h>`

Inheritance diagram for dpp::events::entitlement_update:
[legend]
Collaboration diagram for dpp::events::entitlement_update:
[legend]

## Public Member Functions

virtual void | handle (class dpp::discord_client *client, nlohmann::json &j, const std::string &raw)
| Pure virtual method for event handler code.

## Detailed Description

Internal event handler for ENTITLEMENT_UPDATE websocket events. Called for each websocket message of this type.

## Member Function Documentation

## ◆ handle()

virtual void dpp::events::entitlement_update::handle | ( | class dpp::discord_client * | client,
|  | nlohmann::json & | j,
|  | const std::string & | raw )

virtual

Pure virtual method for event handler code.

Parameters

  client | The creating shard
  j | The json data of the event
  raw | The raw event json

Implements dpp::events::event.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0